# PetscDrawCreate

Creates a graphics context.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawCreate(MPI_Comm comm,const char display[],const char title[],int x,int y,int w,int h,PetscDraw *indraw)

Collective on MPI_Comm

### Input Parameter

| comm | - MPI communicator
| display | - X display when using X windows
| title | - optional title added to top of window
| x,y | - coordinates of lower left corner of window or PETSC_DECIDE
| w, h | - width and height of window or PETSC_DECIDE or PETSC_DRAW_HALF_SIZE, PETSC_DRAW_FULL_SIZE, or PETSC_DRAW_THIRD_SIZE or PETSC_DRAW_QUARTER_SIZE

### Output Parameter

draw -location to put the PetscDraw context

### See Also

PetscDrawSetFromOptions(), PetscDrawDestroy(), PetscDrawSetType()

Level:beginner
Location: src/sys/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages